#!/usr/bin/python
# -*- coding: utf-8 -*-

from setuphelpers import *

uninstallkey=[]

def install():

    install_msi_if_needed('GoogleEarthSetup.msi',killbefore=['googleearth.exe'])
    remove_desktop_shortcut('Google Earth Pro')


def update_package():

    proxies = {}
    if isfile(makepath(user_local_appdata(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    wget('https://dl.google.com/tag/s/appguid%3D%7B74AF07D8-FB8F-4d51-8AC7-927721D56EBB%7D%26iid%3D%7B78F4DCC2-2356-1949-3E7D-CA58A34BA41F%7D%26lang%3Dfr%26browser%3D3%26usagestats%3D0%26appname%3DGoogle%2520Earth%26needsadmin%3DTrue%26brand%3DGGGE/earth/client/GoogleEarthSetup.exe','GoogleEarthSetup.exe',proxies=proxies)
    run('GoogleEarthSetup.exe')
    killalltasks('googleearth.exe')

    for uninstall in installed_softwares('Google Earth'):
        vers = uninstall['version']
        print('Last Version : %s' % vers)


    #Search msi and copy msi file if version is good
    remove_file('GoogleEarthSetup.exe')
    remove_file('GoogleEarthSetup.msi')
    with disable_file_system_redirection():
        for msi in glob.glob(r'C:\Windows\Installer\*.msi'):
            if getproductprops(msi)['ProductName'] == 'Google Earth Pro':
                if  Version(getproductprops(msi)['version']) == Version(vers):
                        filecopyto(msi,'GoogleEarthSetup.msi')

    if not isfile('GoogleEarthSetup.msi'):
        error('GoogleEarthSetup.msi not found')




    # change version of package
    pe = PackageEntry().load_control_from_wapt(r'C:\jenkins\workspace\_Packages_tis-googleearth_master')
    if iswin64():
        pe.architecture = 'x64'
    else:
        pe.architecture = 'x86'
    pe.version = getproductprops('GoogleEarthSetup.msi')['version'] +'-2'
    pe.save_control_to_wapt('.')




if __name__ == '__main__':
    update_package()